package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
import com.hzya.frame.ttxofs.dto.ofspurchasereturnorder.PurchaseReturnOrder;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.DetailsDto;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDto;
import lombok.Data;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenterV3
 * @name：OrderOutTobHeaderDto
 * @Date：2024/8/12 18:07
 * @Filename：OrderOutTobHeaderDto
 */
@Data
public class ReturnOrderHeaderDto extends HeaderDto {
    /**
     * OFS采购订单
     */
    private PurchaseReturnOrder purchaseReturnOrder;

    /**
     * 委外订单公司
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 供应商基本档案
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 供应商管理档案
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 采购组织
     */
    private BdPurorgEntity bdPurorgEntity;

    /**
     * 业务流程
     */
    private BdBusitypeEntity bdBusitypeEntity;

    /**
     * OFS采退出库单明细行
     */
    private List<DetailsDto> details;
}